package com.mortals.xhx.module.user.model;

import java.util.List;
import com.mortals.xhx.module.user.model.UserCollectEntity;
/**
 * 用户收藏夹查询对象
 *
 * @author zxfei
 * @date 2023-03-13
 */
public class UserCollectQuery extends UserCollectEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 用户id */
    private Long userIdStart;

    /** 结束 用户id */
    private Long userIdEnd;

    /** 增加 用户id */
    private Long userIdIncrement;

    /** 用户id列表 */
    private List <Long> userIdList;

    /** 用户id排除列表 */
    private List <Long> userIdNotList;

    /** 开始 收藏类型1单事项2一件事 */
    private Integer collectTypeStart;

    /** 结束 收藏类型1单事项2一件事 */
    private Integer collectTypeEnd;

    /** 增加 收藏类型1单事项2一件事 */
    private Integer collectTypeIncrement;

    /** 收藏类型1单事项2一件事列表 */
    private List <Integer> collectTypeList;

    /** 收藏类型1单事项2一件事排除列表 */
    private List <Integer> collectTypeNotList;

    /** 收藏名称 */
    private List<String> collectNameList;

    /** 收藏名称排除列表 */
    private List <String> collectNameNotList;
    /** 收藏链接 */
    private List<String> collectUrlList;

    /** 收藏链接排除列表 */
    private List <String> collectUrlNotList;
    /** 收藏关联业务id */
    private List<String> businessIdList;

    /** 收藏关联业务id排除列表 */
    private List <String> businessIdNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UserCollectQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UserCollectQuery> andConditionList;

    public UserCollectQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 用户id
     * @return userIdStart
     */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
     * 设置 开始 用户id
     * @param userIdStart
     */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
     * 获取 结束 用户id
     * @return $userIdEnd
     */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
     * 设置 结束 用户id
     * @param userIdEnd
     */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
     * 获取 增加 用户id
     * @return userIdIncrement
     */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
     * 设置 增加 用户id
     * @param userIdIncrement
     */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
     * 获取 用户id
     * @return userIdList
     */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
     * 设置 用户id
     * @param userIdList
     */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
     * 获取 用户id
     * @return userIdNotList
     */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
     * 设置 用户id
     * @param userIdNotList
     */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
     * 获取 开始 收藏类型1单事项2一件事
     * @return collectTypeStart
     */
    public Integer getCollectTypeStart(){
        return this.collectTypeStart;
    }

    /**
     * 设置 开始 收藏类型1单事项2一件事
     * @param collectTypeStart
     */
    public void setCollectTypeStart(Integer collectTypeStart){
        this.collectTypeStart = collectTypeStart;
    }

    /**
     * 获取 结束 收藏类型1单事项2一件事
     * @return $collectTypeEnd
     */
    public Integer getCollectTypeEnd(){
        return this.collectTypeEnd;
    }

    /**
     * 设置 结束 收藏类型1单事项2一件事
     * @param collectTypeEnd
     */
    public void setCollectTypeEnd(Integer collectTypeEnd){
        this.collectTypeEnd = collectTypeEnd;
    }

    /**
     * 获取 增加 收藏类型1单事项2一件事
     * @return collectTypeIncrement
     */
    public Integer getCollectTypeIncrement(){
        return this.collectTypeIncrement;
    }

    /**
     * 设置 增加 收藏类型1单事项2一件事
     * @param collectTypeIncrement
     */
    public void setCollectTypeIncrement(Integer collectTypeIncrement){
        this.collectTypeIncrement = collectTypeIncrement;
    }

    /**
     * 获取 收藏类型1单事项2一件事
     * @return collectTypeList
     */
    public List<Integer> getCollectTypeList(){
        return this.collectTypeList;
    }

    /**
     * 设置 收藏类型1单事项2一件事
     * @param collectTypeList
     */
    public void setCollectTypeList(List<Integer> collectTypeList){
        this.collectTypeList = collectTypeList;
    }

    /**
     * 获取 收藏类型1单事项2一件事
     * @return collectTypeNotList
     */
    public List<Integer> getCollectTypeNotList(){
        return this.collectTypeNotList;
    }

    /**
     * 设置 收藏类型1单事项2一件事
     * @param collectTypeNotList
     */
    public void setCollectTypeNotList(List<Integer> collectTypeNotList){
        this.collectTypeNotList = collectTypeNotList;
    }


    /**
     * 获取 收藏名称
     * @return collectNameList
     */
    public List<String> getCollectNameList(){
        return this.collectNameList;
    }

    /**
     * 设置 收藏名称
     * @param collectNameList
     */
    public void setCollectNameList(List<String> collectNameList){
        this.collectNameList = collectNameList;
    }

    /**
     * 获取 收藏名称
     * @return collectNameNotList
     */
    public List<String> getCollectNameNotList(){
        return this.collectNameNotList;
    }

    /**
     * 设置 收藏名称
     * @param collectNameNotList
     */
    public void setCollectNameNotList(List<String> collectNameNotList){
        this.collectNameNotList = collectNameNotList;
    }

    /**
     * 获取 收藏链接
     * @return collectUrlList
     */
    public List<String> getCollectUrlList(){
        return this.collectUrlList;
    }

    /**
     * 设置 收藏链接
     * @param collectUrlList
     */
    public void setCollectUrlList(List<String> collectUrlList){
        this.collectUrlList = collectUrlList;
    }

    /**
     * 获取 收藏链接
     * @return collectUrlNotList
     */
    public List<String> getCollectUrlNotList(){
        return this.collectUrlNotList;
    }

    /**
     * 设置 收藏链接
     * @param collectUrlNotList
     */
    public void setCollectUrlNotList(List<String> collectUrlNotList){
        this.collectUrlNotList = collectUrlNotList;
    }

    /**
     * 获取 收藏关联业务id
     * @return businessIdList
     */
    public List<String> getBusinessIdList(){
        return this.businessIdList;
    }

    /**
     * 设置 收藏关联业务id
     * @param businessIdList
     */
    public void setBusinessIdList(List<String> businessIdList){
        this.businessIdList = businessIdList;
    }

    /**
     * 获取 收藏关联业务id
     * @return businessIdNotList
     */
    public List<String> getBusinessIdNotList(){
        return this.businessIdNotList;
    }

    /**
     * 设置 收藏关联业务id
     * @param businessIdNotList
     */
    public void setBusinessIdNotList(List<String> businessIdNotList){
        this.businessIdNotList = businessIdNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public UserCollectQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public UserCollectQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public UserCollectQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public UserCollectQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public UserCollectQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public UserCollectQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  用户id
     * @param userId
     */
    public UserCollectQuery userId(Long userId){
        setUserId(userId);
        return this;
    }

    /**
     * 设置 开始 用户id
     * @param userIdStart
     */
    public UserCollectQuery userIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
        return this;
    }

    /**
     * 设置 结束 用户id
     * @param userIdEnd
     */
    public UserCollectQuery userIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
        return this;
    }

    /**
     * 设置 增加 用户id
     * @param userIdIncrement
     */
    public UserCollectQuery userIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
        return this;
    }

    /**
     * 设置 用户id
     * @param userIdList
     */
    public UserCollectQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
        return this;
    }

    /**
     * 设置 用户id
     * @param userIdNotList
     */
    public UserCollectQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
    }

    /**
     * 设置  收藏类型1单事项2一件事
     * @param collectType
     */
    public UserCollectQuery collectType(Integer collectType){
        setCollectType(collectType);
        return this;
    }

    /**
     * 设置 开始 收藏类型1单事项2一件事
     * @param collectTypeStart
     */
    public UserCollectQuery collectTypeStart(Integer collectTypeStart){
        this.collectTypeStart = collectTypeStart;
        return this;
    }

    /**
     * 设置 结束 收藏类型1单事项2一件事
     * @param collectTypeEnd
     */
    public UserCollectQuery collectTypeEnd(Integer collectTypeEnd){
        this.collectTypeEnd = collectTypeEnd;
        return this;
    }

    /**
     * 设置 增加 收藏类型1单事项2一件事
     * @param collectTypeIncrement
     */
    public UserCollectQuery collectTypeIncrement(Integer collectTypeIncrement){
        this.collectTypeIncrement = collectTypeIncrement;
        return this;
    }

    /**
     * 设置 收藏类型1单事项2一件事
     * @param collectTypeList
     */
    public UserCollectQuery collectTypeList(List<Integer> collectTypeList){
        this.collectTypeList = collectTypeList;
        return this;
    }

    /**
     * 设置 收藏类型1单事项2一件事
     * @param collectTypeNotList
     */
    public UserCollectQuery collectTypeNotList(List<Integer> collectTypeNotList){
        this.collectTypeNotList = collectTypeNotList;
        return this;
    }


    /**
     * 设置 收藏名称
     * @param collectName
     */
    public UserCollectQuery collectName(String collectName){
        setCollectName(collectName);
        return this;
    }

    /**
     * 设置 收藏名称
     * @param collectNameList
     */
    public UserCollectQuery collectNameList(List<String> collectNameList){
        this.collectNameList = collectNameList;
        return this;
    }


    /**
     * 设置 收藏链接
     * @param collectUrl
     */
    public UserCollectQuery collectUrl(String collectUrl){
        setCollectUrl(collectUrl);
        return this;
    }

    /**
     * 设置 收藏链接
     * @param collectUrlList
     */
    public UserCollectQuery collectUrlList(List<String> collectUrlList){
        this.collectUrlList = collectUrlList;
        return this;
    }


    /**
     * 设置 收藏关联业务id
     * @param businessId
     */
    public UserCollectQuery businessId(String businessId){
        setBusinessId(businessId);
        return this;
    }

    /**
     * 设置 收藏关联业务id
     * @param businessIdList
     */
    public UserCollectQuery businessIdList(List<String> businessIdList){
        this.businessIdList = businessIdList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public UserCollectQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public UserCollectQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public UserCollectQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public UserCollectQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public UserCollectQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public UserCollectQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public UserCollectQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public UserCollectQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public UserCollectQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public UserCollectQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public UserCollectQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public UserCollectQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<UserCollectQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<UserCollectQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<UserCollectQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<UserCollectQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}