package com.mortals.xhx.module.app.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.app.model.AppInfoTempleteFieldEntity;
import com.mortals.xhx.module.app.service.AppInfoTempleteFieldService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 自助终端应用模板信息字段
*
* @author zxfei
* @date 2022-11-28
*/
@RestController
@RequestMapping("app/info/templete/field")
public class AppInfoTempleteFieldController extends BaseCRUDJsonBodyMappingController<AppInfoTempleteFieldService,AppInfoTempleteFieldEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppInfoTempleteFieldController(){
        super.setModuleDesc( "自助终端应用模板信息字段");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "fieldType", paramService.getParamBySecondOrganize("AppInfoTempleteField","fieldType"));
        this.addDict(model, "dataType", paramService.getParamBySecondOrganize("AppInfoTempleteField","dataType"));
        this.addDict(model, "fieldNull", paramService.getParamBySecondOrganize("AppInfoTempleteField","fieldNull"));
        this.addDict(model, "isList", paramService.getParamBySecondOrganize("AppInfoTempleteField","isList"));
        super.init(model, context);
    }


}