package com.mortals.xhx.module.matter.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import com.mortals.xhx.module.matter.model.MatterDatumQuery;

import java.util.List;
/**
* 事项申请材料Dao
* 事项申请材料 DAO接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface  MatterDatumDao extends ICRUDDao<MatterDatumEntity,Long>{
    /***
     * 统计事项材料数
     * @return
     */
    List<MatterDatumEntity> getMatterDatumCount();

    Result<MatterDatumEntity> getSubList(MatterDatumQuery params, PageInfo pageInfo);
}
