package com.mortals.xhx.module.single.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.single.model.SingleMatterFileEntity;
import com.mortals.xhx.module.single.dao.SingleMatterFileDao;
/**
* SingleMatterFileService
*
* 单事项申请文件 service接口
*
* @author zxfei
* @date 2023-06-07
*/
public interface SingleMatterFileService extends ICRUDService<SingleMatterFileEntity,Long>{

    SingleMatterFileDao getDao();

    /**
     * 保存申请文件
     * @param entity
     * @param context
     * @return
     * @throws AppException
     */
    SingleMatterFileEntity saveFile(SingleMatterFileEntity entity, Context context) throws AppException;
}