package com.mortals.xhx.module.site.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.model.SiteThemeEntity;
/**
* SiteThemeService
*
* 主题 service接口
*
* @author zxfei
* @date 2022-11-23
*/
public interface SiteThemeService extends ICRUDService<SiteThemeEntity,Long>{

    Rest<String> syncThemeBySiteId(SiteEntity siteEntity, Context context);

    /**
     * 乡镇主题同步
     * @param siteEntity
     * @param context
     * @return
     */
    Rest<String> syncTownThemeBySiteId(SiteEntity siteEntity, Context context);

    void deleteGovBySiteId(Long siteId, Context context);

}